Update Certificate Library Item
Update the specified certificate library item.
Updates the specified certificate library item. Only the alias and description fields may be edited Note: This API also supports a former (erroneously spelt) alternate path /cetificateLibrary/{id} as a Deprecated API (deprecated-in and removed after API version 36.0)
Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/ssl/certificateLibrary/{id}
COPY
Path Parameters
string
id
Required
id
Request Body
CertificateLibraryItem
of type(s)
application/json
Optional
Show optional properties
{
"alias": "string",
"certificate": "string"
}
{
"id": "string",
"alias": "string",
"privateKey": "string",
"privateKeyPassphrase": "string",
"certificate": "string",
"description": "string",
"consumerCount": 0
}
Responses
200
OK
Returns
CertificateLibraryItem
of type(s)
application/json;version=9.1.0
{
"id": "string",
"alias": "string",
"privateKey": "string",
"privateKeyPassphrase": "string",
"certificate": "string",
"description": "string",
"consumerCount": 0
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Classic"},{"type":"Modern"}]
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"alias":"string","certificate":"string"}' https://{api_host}/cloudapi/1.0.0/ssl/certificateLibrary/{id}
Availability
Added in 35.0
On This Page
Certificate Library Operations
GET
Query Certificate Library
POST
Add Certificate Library Item
GET
Get Certificate Library Item
PUT
Update Certificate Library Item
DELETE
Delete Certificate Library Item
GET
Query Cert Library Item Consumer Refs
POST
Add Consumer Ref To Cert Library Item
PUT
Replace Cert Library Item Consumer Refs